Runtime

## org.eclipse.gmf.runtime.notation
Interface ConnectorStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LineStyle, org.eclipse.emf.common.notify.Notifier, RoutingStyle, Style

All Known Subinterfaces:
  Connector

All Known Implementing Classes:
  ConnectorImpl, ConnectorStyleImpl

    public interface ConnectorStyle

extends RoutingStyle, LineStyle

A representation of the model object 'Connector Style'.

A connector style is a typical style to be installed on edges. It gives the edge routing and line style properties

See Also:
  `NotationPackage.getConnectorStyle()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.RoutingStyle
`getJumpLinkStatus, getJumpLinkType, getRoundedBendpointsRadius, getRouting, getSmoothness, isAvoidObstructions, isClosestDistance, isJumpLinksReverse, setAvoidObstructions, setClosestDistance, setJumpLinksReverse, setJumpLinkStatus, setJumpLinkType, setRoundedBendpointsRadius, setRouting, setSmoothness`

Methods inherited from interface org.eclipse.gmf.runtime.notation.LineStyle
`getLineColor, getLineWidth, setLineColor, setLineWidth`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.